summaryrefslogtreecommitdiff
path: root/app-text/calibre
diff options
context:
space:
mode:
Diffstat (limited to 'app-text/calibre')
-rw-r--r--app-text/calibre/Manifest1
-rw-r--r--app-text/calibre/calibre-1.48.ebuild224
-rw-r--r--app-text/calibre/files/calibre-1.34-no_updates_dialog.patch37
-rw-r--r--app-text/calibre/files/calibre-1.48-sip.patch11
-rw-r--r--app-text/calibre/files/calibre-disable_plugins.patch17
-rw-r--r--app-text/calibre/files/calibre-server.conf13
-rw-r--r--app-text/calibre/files/calibre-server.init59
-rw-r--r--app-text/calibre/metadata.xml13
8 files changed, 0 insertions, 375 deletions
diff --git a/app-text/calibre/Manifest b/app-text/calibre/Manifest
deleted file mode 100644
index c7408a97..00000000
--- a/app-text/calibre/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST calibre-1.48.0.tar.xz 35126680 SHA256 e704090f6611c5e374252c3f1b58e077ccd3170a3ea39893e5bf687287abf472 SHA512 0b70f16b10e6c9bbc24955baf74e8fc8e116aaaa1d75d018f5135f657606286de3bfffbebf3b367b2be52708deb05a162de919bba930dcbff59c4ec15c13b28d WHIRLPOOL 1a07a8c916119e92bdf41276db1aef572b704271808bcd6c3a0a4e823c8a76bd2f4267765dee2f378430beec401288b25b35dee6859980adf5b7a9ebe885eff9
diff --git a/app-text/calibre/calibre-1.48.ebuild b/app-text/calibre/calibre-1.48.ebuild
deleted file mode 100644
index 00a94060..00000000
--- a/app-text/calibre/calibre-1.48.ebuild
+++ /dev/null
@@ -1,224 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-text/calibre/calibre-1.48.ebuild,v 1.2 2014/10/16 20:49:55 zmedico Exp $
-
-EAPI=5
-
-inherit eutils fdo-mime bash-completion-r1 multilib toolchain-funcs
-
-DESCRIPTION="Ebook management application"
-HOMEPAGE="http://calibre-ebook.com/"
-[[ ${PV} == ${PV%.*}.${PV#*.} ]] && MY_PV=${PV}.0 || MY_PV=${PV}
-SRC_URI="http://sourceforge.net/projects/calibre/files/${MY_PV}/${PN}-${MY_PV}.tar.xz"
-
-LICENSE="
- GPL-3+
- GPL-3
- GPL-2+
- GPL-2
- GPL-1+
- LGPL-3+
- LGPL-2.1+
- LGPL-2.1
- BSD
- MIT
- Old-MIT
- Apache-2.0
- public-domain
- || ( Artistic GPL-1+ )
- CC-BY-3.0
- OFL-1.1
- PSF-2
- unRAR
-"
-
-KEYWORDS="~amd64 ~arm ~x86"
-SLOT="0"
-IUSE="+udisks"
-
-COMMON_DEPEND="
- >=app-text/podofo-0.8.2:=
- >=app-text/poppler-0.20.2:=[qt4,xpdf-headers(+)]
- >=dev-lang/python-2.7.1:2.7[sqlite,ssl]
- >=dev-libs/chmlib-0.40:=
- >=dev-libs/icu-4.4:=
- >=dev-python/apsw-3.7.17[python_targets_python2_7(-)]
- >=dev-python/beautifulsoup-3.0.5:python-2[python_targets_python2_7(-)]
- dev-python/netifaces[python_targets_python2_7(-)]
- >=dev-python/dnspython-1.6.0[python_targets_python2_7(-)]
- >=dev-python/cssselect-0.7.1[python_targets_python2_7(-)]
- >=dev-python/cssutils-0.9.9[python_targets_python2_7(-)]
- >=dev-python/dbus-python-0.82.2[python_targets_python2_7(-)]
- >=dev-python/lxml-3.2.1[python_targets_python2_7(-)]
- >=dev-python/mechanize-0.1.11[python_targets_python2_7(-)]
- >=dev-python/python-dateutil-1.4.1[python_targets_python2_7(-)]
- >=dev-python/PyQt4-4.9.6[X,svg,webkit,python_targets_python2_7(-)]
- dev-qt/qtdbus:4=
- dev-qt/qtsvg:4=
- media-fonts/liberation-fonts
- >=media-gfx/imagemagick-6.5.9[jpeg,png]
- >=media-libs/freetype-2:=
- >=media-libs/libwmf-0.2.8
- >=media-libs/libmtp-1.1.5:=
- virtual/libusb:1=
- virtual/python-imaging[python_targets_python2_7(-)]
- >=x11-misc/xdg-utils-1.0.2-r2"
-
-RDEPEND="${COMMON_DEPEND}
- udisks? ( || ( sys-fs/udisks:2 sys-fs/udisks:0 ) )"
-
-DEPEND="${COMMON_DEPEND}
- >=dev-python/setuptools-0.6_rc5
- >=virtual/podofo-build-0.8.2"
-
-S=${WORKDIR}/${PN}
-
-src_prepare() {
- # Fix outdated version constant.
- #sed -e "s#\\(^numeric_version =\\).*#\\1 (${PV//./, })#" \
- # -i src/calibre/constants.py || \
- # die "sed failed to patch constants.py"
-
- # Avoid sandbox violation in /usr/share/gnome/apps when linux.py
- # calls xdg-* (bug #258938).
- sed -e "s|'xdg-desktop-menu', 'install'|\\0, '--mode', 'user'|" \
- -e "s|check_call(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
- -e "s|\\(CurrentDir(tdir)\\), \\\\\$|\\1:|" \
- -e "s|PreserveMIMEDefaults():||" \
- -e "s|xdg-icon-resource install|\\0 --mode user|" \
- -e "s|cc(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
- -e "s|'xdg-mime', 'install'|\\0, '--mode', 'user'|" \
- -i src/calibre/linux.py || die "sed failed to patch linux.py"
-
- # Disable unnecessary privilege dropping for bug #287067.
- sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
- -i setup/install.py || die "sed failed to patch install.py"
-
- sed -e "/^ self\\.check_call(qmc + \\[.*\\.pro'\\])$/a\
-\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ self.check_call(['sed', \
-'-e', 's|^CFLAGS .*|\\\\\\\\0 ${CFLAGS}|', \
-'-e', 's|^CXXFLAGS .*|\\\\\\\\0 ${CXXFLAGS}|', \
-'-e', 's|^LFLAGS .*|\\\\\\\\0 ${LDFLAGS}|', \
-'-i', 'Makefile'])" \
- -i setup/extensions.py || die "sed failed to patch extensions.py"
-
- # use system beautifulsoup, instead of bundled
- rm -f "${S}"/src/calibre/ebooks/BeautifulSoup.py || die "could not remove bundled beautifulsoup"
- find "${S}" -type f -name \*.py -exec \
- sed -e 's/calibre.ebooks.BeautifulSoup/BeautifulSoup/' -i {} + \
- || die "could not sed bundled beautifulsoup out of the source tree"
-
- # no_updates: do not annoy user with "new version is availible all the time
- # disable_plugins: walking sec-hole, wait for upstream to use GHNS interface
- # C locale: if LC_ALL=C do not raise an exception when locale cannot be canonicalized
- epatch \
- "${FILESDIR}/${PN}-1.34-no_updates_dialog.patch" \
- "${FILESDIR}/${PN}-disable_plugins.patch" \
- "${FILESDIR}/${P}-sip.patch"
-
- # override install path for bash-completions
- local mybcd="${D}/$(get_bashcompdir)"
- sed -e "s#^def \(get_bash_completion_path.*\)\$#def \1\n return os.path.join('${mybcd}','calibre')\n\ndef old_\1#" \
- -i "${S}"/src/calibre/linux.py || die "Could not fix bash-completions install path"
-}
-
-src_install() {
- # Bypass kbuildsycoca and update-mime-database in order to
- # avoid sandbox violations if xdg-mime tries to call them.
- cat - > "${T}/kbuildsycoca" <<-EOF
- #!${BASH}
- exit 0
- EOF
-
- cp "${T}"/{kbuildsycoca,update-mime-database}
- chmod +x "${T}"/{kbuildsycoca,update-mime-database}
-
- # Unset DISPLAY in order to prevent xdg-mime from triggering a sandbox
- # violation with kbuildsycoca as in bug #287067, comment #13.
- export -n DISPLAY
-
- # Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
- # File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
- # return _parse_localename(localename)
- # File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
- # raise ValueError, 'unknown locale: %s' % localename
- #ValueError: unknown locale: 46
- export -n LANGUAGE
-
- # Bug #295672 - Avoid sandbox violation in ~/.config by forcing
- # variables to point to our fake temporary $HOME.
- export HOME="${T}/fake_homedir"
- export XDG_CONFIG_HOME="${HOME}/.config"
- export XDG_DATA_HOME="${HOME}/.local/share"
- export CALIBRE_CONFIG_DIRECTORY="${XDG_CONFIG_HOME}/calibre"
- mkdir -p "${XDG_CONFIG_HOME}" "${CALIBRE_CONFIG_DIRECTORY}"
-
- tc-export CC CXX
- # Bug #334243 - respect LDFLAGS when building extensions
- export OVERRIDE_CFLAGS="$CFLAGS" OVERRIDE_LDFLAGS="$LDFLAGS"
- local libdir=$(get_libdir)
- [[ -n $libdir ]] || die "get_libdir returned an empty string"
-
- # Bug #472690 - Avoid sandbox violation for /dev/dri/card0.
- local x
- for x in /dev/dri/card[0-9] ; do
- [[ -e ${x} ]] && addpredict ${x}
- done
-
- dodir "/usr/$(get_libdir)/python2.7/site-packages" # for init_calibre.py
- PATH=${T}:${PATH} PYTHONPATH=${S}/src${PYTHONPATH:+:}${PYTHONPATH} \
- "${EPREFIX}"/usr/bin/python2.7 setup.py install \
- --root="${D}" \
- --prefix="${EPREFIX}/usr" \
- --libdir="${EPREFIX}/usr/${libdir}" \
- --staging-root="${ED}usr" \
- --staging-libdir="${ED}usr/${libdir}" || die
-
- grep -rlZ "${ED}" "${ED}" | xargs -0 sed -e "s:${D}:/:g" -i ||
- die "failed to fix harcoded \$D in paths"
-
- # The menu entries end up here due to '--mode user' being added to
- # xdg-* options in src_prepare.
- dodir /usr/share/mime/packages
- chmod -fR a+rX,u+w,g-w,o-w "${HOME}"/.local
- mv "${HOME}"/.local/share/mime/packages/* "${ED}"usr/share/mime/packages/ ||
- die "failed to register mime types"
- dodir /usr/share/icons
- mv "${HOME}"/.local/share/icons/* "${ED}"usr/share/icons/ ||
- die "failed to install icon files"
-
- domenu "${HOME}"/.local/share/applications/*.desktop ||
- die "failed to install .desktop menu files"
-
-# dobashcomp "${ED}"usr/share/bash-completion/completions/calibre
-# rm -r "${ED}"usr/share/bash-completion
- find "${ED}"usr/share -type d -empty -delete
-
- cd "${ED}"/usr/share/calibre/fonts/liberation || die
- local x
- for x in * ; do
- [[ -f ${EROOT}usr/share/fonts/liberation-fonts/${x} ]] || continue
- ln -sf "../../../fonts/liberation-fonts/${x}" "${x}" || die
- done
-
- einfo "Converting python shebangs"
- while read -r -d $'\0' ; do
- local shebang=$(head -n1 "$REPLY")
- if [[ ${shebang} == "#!"*python* ]] ; then
- sed -i -e "1s:.*:#!${EPREFIX}/usr/bin/python2.7:" "$REPLY" || \
- die "sed failed"
- fi
- done < <(find "${ED}" -type f -print0)
-
- einfo "Compiling python modules"
- "${EPREFIX}"/usr/bin/python2.7 -m compileall -q -f \
- -d "${EPREFIX}"/usr/lib/calibre "${ED}"usr/lib/calibre || die
-
- newinitd "${FILESDIR}"/calibre-server.init calibre-server
- newconfd "${FILESDIR}"/calibre-server.conf calibre-server
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- fdo-mime_mime_database_update
-}
diff --git a/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch b/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch
deleted file mode 100644
index dd6b3940..00000000
--- a/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch
+++ /dev/null
@@ -1,37 +0,0 @@
---- a/src/calibre/gui2/main.py 2014-01-17 11:49:16.000000000 +0800
-+++ b/src/calibre/gui2/main.py 2014-01-18 18:28:53.322911344 +0800
-@@ -37,8 +37,9 @@
- help=_('Start minimized to system tray.'))
- parser.add_option('-v', '--verbose', default=0, action='count',
- help=_('Ignored, do not use. Present only for legacy reasons'))
-- parser.add_option('--no-update-check', default=False, action='store_true',
-- help=_('Do not check for updates'))
-+ parser.add_option('--update-check', dest='no_update_check', default=True,
-+ action='store_false',
-+ help=_('Check for updates'))
- parser.add_option('--ignore-plugins', default=False, action='store_true',
- help=_('Ignore custom plugins, useful if you installed a plugin'
- ' that is preventing calibre from starting'))
---- a/src/calibre/gui2/update.py 2014-04-24 22:02:21.000000000 -0400
-+++ b/src/calibre/gui2/update.py 2014-05-01 12:02:27.631316967 -0400
-@@ -139,6 +139,8 @@
- self.update_checker.update_found.connect(self.update_found,
- type=Qt.QueuedConnection)
- self.update_checker.start()
-+ else:
-+ self.update_checker = None
-
- def recalc_update_label(self, number_of_plugin_updates):
- self.update_found('%s%s%d'%(self.last_newest_calibre_version, VSEP,
---- a/src/calibre/gui2/ui.py 2014-04-24 22:02:21.000000000 -0400
-+++ b/src/calibre/gui2/ui.py 2014-05-01 11:53:58.371307671 -0400
-@@ -858,7 +858,8 @@
- if write_settings:
- self.write_settings()
- self.check_messages_timer.stop()
-- self.update_checker.terminate()
-+ if self.update_checker is not None:
-+ self.update_checker.terminate()
- self.listener.close()
- self.job_manager.server.close()
- self.job_manager.threaded_server.close()
diff --git a/app-text/calibre/files/calibre-1.48-sip.patch b/app-text/calibre/files/calibre-1.48-sip.patch
deleted file mode 100644
index 0a9212bf..00000000
--- a/app-text/calibre/files/calibre-1.48-sip.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- setup/extensions.py.orig 2014-11-22 14:47:47.636474362 +0100
-+++ setup/extensions.py 2014-11-22 14:48:17.556594759 +0100
-@@ -630,7 +630,7 @@
- if self.newer(sbf, [sipf]+ext.headers):
- exe = '.exe' if iswindows else ''
- cmd = [pyqt.sip_bin+exe, '-w', '-c', src_dir, '-b', sbf, '-I'+
-- pyqt.pyqt_sip_dir] + shlex.split(pyqt.pyqt_sip_flags) + [sipf]
-+ pyqt.pyqt_sip_dir, '-I/usr/share/sip/PyQt4'] + shlex.split(pyqt.pyqt_sip_flags) + [sipf]
- self.info(' '.join(cmd))
- self.check_call(cmd)
- module = self.j(src_dir, self.b(dest))
diff --git a/app-text/calibre/files/calibre-disable_plugins.patch b/app-text/calibre/files/calibre-disable_plugins.patch
deleted file mode 100644
index 9ef1dd04..00000000
--- a/app-text/calibre/files/calibre-disable_plugins.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-Description: Disable plugin dialog. It uses a totally non-authenticated and non-trusted way of installing arbitrary code.
-Author: Martin Pitt <mpitt@debian.org>
-Bug-Debian: http://bugs.debian.org/640026
-
-Index: calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py
-===================================================================
---- calibre-0.8.29+dfsg.orig/src/calibre/gui2/actions/preferences.py 2011-12-16 05:49:14.000000000 +0100
-+++ calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py 2011-12-20 19:29:04.798468930 +0100
-@@ -28,8 +28,6 @@
- pm.addAction(QIcon(I('config.png')), _('Preferences'), self.do_config)
- cm('welcome wizard', _('Run welcome wizard'),
- icon='wizard.png', triggered=self.gui.run_wizard)
-- cm('plugin updater', _('Get plugins to enhance calibre'),
-- icon='plugins/plugin_updater.png', triggered=self.get_plugins)
- if not DEBUG:
- pm.addSeparator()
- cm('restart', _('Restart in debug mode'), icon='debug.png',
diff --git a/app-text/calibre/files/calibre-server.conf b/app-text/calibre/files/calibre-server.conf
deleted file mode 100644
index c1bed842..00000000
--- a/app-text/calibre/files/calibre-server.conf
+++ /dev/null
@@ -1,13 +0,0 @@
-# /etc/conf.d/calibre-server
-# Change this to the user you want to run calibre-server as.
-# You may specify a group too, after a colon
-# NOTE: This must be set and not to root!
-CALIBRE_USER=
-
-# Set the path of the library to serve.
-# Defaults to the default location for CALIBRE_USER.
-#CALIBRE_LIBRARY='<user home directory>/Calibre Library'
-
-# Extra options to pass to calibre-server.
-# See the calibre-server man page for more options.
-#CALIBRE_OPTS="--username calibre --password password --thread-pool 10 --port 8080"
diff --git a/app-text/calibre/files/calibre-server.init b/app-text/calibre/files/calibre-server.init
deleted file mode 100644
index f1727072..00000000
--- a/app-text/calibre/files/calibre-server.init
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/app-text/calibre/files/calibre-server.init,v 1.1 2012/01/14 18:27:01 zmedico Exp $
-
-depend() {
- need net
- need localmount
- after bootmisc
-}
-
-checkconfig() {
- if [ "${CALIBRE_USER}" = "" -o "${CALIBRE_USER}" = "root" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "You have to specify a user to run calibre-server as, as we will not run it as root!"
- eerror "Modify CALIBRE_USER to your needs (you can also add a group, after a colon)"
- return 1
- fi
- if ! getent passwd "${CALIBRE_USER%:*}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your user has to exist!"
- return 1
- fi
- if [ "${CALIBRE_USER%:*}" != "${CALIBRE_USER}" ] ; then
- if ! getent group "${CALIBRE_USER#*:}" >/dev/null ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "Your group has to exist too!"
- return 1
- fi
- fi
- if [ "${CALIBRE_LIBRARY}" = "" ] ; then
- CALIBRE_USER_HOME=$(getent passwd "${CALIBRE_USER%:*}" | cut -d ':' -f 6)
- CALIBRE_LIBRARY="${CALIBRE_USER_HOME}/Calibre Library"
- fi
- if [ ! -d "${CALIBRE_LIBRARY}" ] ; then
- eerror "Please edit /etc/conf.d/calibre-server"
- eerror "The Calibre library, '${CALIBRE_LIBRARY},' does not exist."
- eerror "Please modify CALIBRE_LIBRARY to point to a valid library."
- return 1
- fi
- return 0
-}
-
-start() {
- checkconfig || return $?
- local pidfile=/var/run/calibre-server.pid
- ebegin "Starting calibre-server"
- start-stop-daemon --user "${CALIBRE_USER}" \
- --pidfile "${pidfile}" --make-pidfile --background --exec /usr/bin/calibre-server \
- -- --with-library "${CALIBRE_LIBRARY}" ${CALIBRE_OPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping calibre-server"
- start-stop-daemon --stop --user "${CALIBRE_USER}" \
- --pidfile /var/run/calibre-server.pid
- eend $?
-}
diff --git a/app-text/calibre/metadata.xml b/app-text/calibre/metadata.xml
deleted file mode 100644
index 9fefdebe..00000000
--- a/app-text/calibre/metadata.xml
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer>
- <email>axs@gentoo.org</email>
- </maintainer>
- <maintainer>
- <email>zmedico@gentoo.org</email>
- </maintainer>
- <maintainer>
- <email>yngwin@gentoo.org</email>
- </maintainer>
-</pkgmetadata>